﻿@using System.Web.UI.WebControls;

@using Portal.Models.Dock;
<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Order Release Date";
                }).GetHtml()      
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "SPMOrderReleaseDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now;
                }
            ).GetHtml()                     
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Dock Code";
                }).GetHtml()      
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OSPMDockOption";
                    gridLookup.Width = Unit.Pixel(183);
                    gridLookup.GridProperties.KeyFieldName = "DOCK_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierPrintMonitoring", Action = "PartialHeaderDockLookupGridSupplierPrintMonitoring" };
                    gridLookup.ReadOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PLANT_CD";
                        column.FieldName = "PLANT_CD";
                        column.Caption = "Plant Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PLANT_NM";
                        column.FieldName = "PLANT_NM";
                        column.Caption = "Plant Name";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_CD";
                        column.FieldName = "DOCK_CD";
                        column.Caption = "Dock Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_NM";
                        column.FieldName = "DOCK_NM";
                        column.Caption = "Dock Name";
                        column.Width = Unit.Pixel(200);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<DockData>>()).GetHtml()
        </td>
        <td style="width:160px"></td>
    </tr>
    <tr style="height:15px"></tr> @* row spacing *@
    <tr>
        <td colspan="8" align="right">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "SPMSearchButton";
                                settings.Text = "Search";
                                settings.Width = Unit.Pixel(80);
                                settings.ClientSideEvents.Click = "OnSPMSearchButtonClick";
                            }).GetHtml()
                    </td>
                    <td style="padding-left:2px">
                        @Html.DevExpress().Button(
                                settings =>
                                {
                                    settings.Name = "SPMClearButton";
                                    settings.Text = "Clear";
                                    settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                                    settings.ClientSideEvents.Click = "OnSPMClearButtonClick";
                                }).GetHtml()
                    </td>
                </tr>    
            </table>
        </td>
    </tr>
</table>